DEFS=-DPTHREADS

CCFLAGS=-Wall -Wno-write-strings -fno-strict-aliasing -I$(ROOT)/include
LDFLAGS=

PY_CCFLAGS=$(shell python-config --includes)
PY_LDFLAGS=$(shell python-config --libs)

SDL_CCFLAGS=$(shell sdl-config --cflags)
SDL_LDFLAGS=$(shell sdl-config --libs)

ifeq ($(OS), Windows_NT)
  LDFLAGS+=-lpthreadGC2
  PY_CCFLAGS=-I"C:/Program Files/Python25/include"
  PY_LDFLAGS=-L"C:\Program Files\Python25\libs" -lpython25
  MODULENAME=raytracer.pyd
else
  CCFLAGS+=-pthread -fPIC
  LDFLAGS+=-pthread
  MODULENAME=raytracermodule.so
endif

# optimizations
CCFLAGS+=-g -O0
#CCFLAGS+=-O3 -pipe -fomit-frame-pointer -ffast-math -msse3
